// complex roots of a 2nd degree equation with real coefficients
#include <cmath>
#include <iostream>
#include <complex>

using namespace std;

int main () {
    double a, b, c;
    cout << "Solving ax^2+bx+c=0, enter a, b, c: ";
    cin >> a >> b >> c;
    
    complex<double> delta;
    delta = b * b - 4.0 * a * c;
    delta = sqrt (delta);
    
    complex<double> z1, z2;
    z1 = (-b + delta) / (2.0 * a);
    z2 = conj (z1);
    
    cout << "Complex roots: " << z1 << ", " << z2 << endl;
    
    return 0;
}
